Skip to main content
GET
Get Session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required

Query Parameters

start_after
string<date-time> | null

Only traces at or after this time (inclusive, ISO 8601)

end_before
string<date-time> | null

Only traces before this time (exclusive, ISO 8601)

project_id
string | null

Target project for the request. Required when authenticating with a user session token (a user credential is only meaningful scoped to a project); for an API key it is optional and, if given, must match the key's project.

Response

Successful Response

Session detail with all traces for conversation view.

duration_ms
number | null
required
first_trace_time
string<date-time> | null
required
last_trace_time
string<date-time> | null
required
session_id
string
required
total_input_tokens
integer | null
required
total_output_tokens
integer | null
required
trace_count
integer
required
traces
SessionTraceItem · object[]
required
user_ids
string[]
required
total_cost
number | null